"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComponentTooltipWithModifiedFilesStatusAndIssues = exports.ComponentTooltipWithModifiedFilesAndDependenciesStatus = exports.ComponentTooltipWithStagedStatus = exports.ComponentTooltipWithNewStatus = void 0;
const react_1 = __importDefault(require("react"));
const documenter_theme_theme_compositions_1 = require("@teambit/documenter.theme.theme-compositions");
const workspace_1 = require("@teambit/workspace");
const component_tooltip_1 = require("./component-tooltip");
let modifyInfo = { hasModifiedFiles: false, hasModifiedDependencies: false };
let isNew = false;
let isDeleted = false;
let isStaged = false;
let isInWorkspace = false;
let isInScope = false;
let nested = false;
const resetValues = () => {
    modifyInfo = { hasModifiedFiles: false, hasModifiedDependencies: false };
    isNew = false;
    isDeleted = false;
    isStaged = false;
    isInWorkspace = false;
    isInScope = false;
    nested = false;
};
const style = { display: 'flex', justifyContent: 'center', alignContent: 'center' };
const ComponentTooltipWithNewStatus = () => {
    resetValues();
    isNew = true;
    const compStatus = new workspace_1.ComponentStatus(modifyInfo, isNew, isDeleted, isStaged, isInWorkspace, isInScope, nested);
    return (react_1.default.createElement(documenter_theme_theme_compositions_1.ThemeCompositions, { style: style },
        react_1.default.createElement(component_tooltip_1.StatusTooltip, { status: compStatus }, "N")));
};
exports.ComponentTooltipWithNewStatus = ComponentTooltipWithNewStatus;
const ComponentTooltipWithStagedStatus = () => {
    resetValues();
    isStaged = true;
    const compStatus = new workspace_1.ComponentStatus(modifyInfo, isNew, isDeleted, isStaged, isInWorkspace, isInScope, nested);
    return (react_1.default.createElement(documenter_theme_theme_compositions_1.ThemeCompositions, { style: style },
        react_1.default.createElement(component_tooltip_1.StatusTooltip, { status: compStatus }, "S")));
};
exports.ComponentTooltipWithStagedStatus = ComponentTooltipWithStagedStatus;
const ComponentTooltipWithModifiedFilesAndDependenciesStatus = () => {
    resetValues();
    modifyInfo.hasModifiedDependencies = true;
    modifyInfo.hasModifiedFiles = true;
    const compStatus = new workspace_1.ComponentStatus(modifyInfo, isNew, isDeleted, isStaged, isInWorkspace, isInScope, nested);
    return (react_1.default.createElement(documenter_theme_theme_compositions_1.ThemeCompositions, { style: style },
        react_1.default.createElement(component_tooltip_1.StatusTooltip, { status: compStatus }, "M")));
};
exports.ComponentTooltipWithModifiedFilesAndDependenciesStatus = ComponentTooltipWithModifiedFilesAndDependenciesStatus;
const ComponentTooltipWithModifiedFilesStatusAndIssues = () => {
    resetValues();
    modifyInfo.hasModifiedFiles = true;
    const compStatus = new workspace_1.ComponentStatus(modifyInfo, isNew, isDeleted, isStaged, isInWorkspace, isInScope, nested);
    return (react_1.default.createElement(documenter_theme_theme_compositions_1.ThemeCompositions, { style: style },
        react_1.default.createElement(component_tooltip_1.StatusTooltip, { status: compStatus, issuesCount: 2 }, "M")));
};
exports.ComponentTooltipWithModifiedFilesStatusAndIssues = ComponentTooltipWithModifiedFilesStatusAndIssues;
//# sourceMappingURL=component-tooltip.composition.js.map