"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.StatusTooltip = void 0;
const react_1 = __importDefault(require("react"));
const ui_tooltip_1 = require("@teambit/ui.tooltip");
const component_tooltip_module_scss_1 = __importDefault(require("./component-tooltip.module.scss"));
// TODO - how do I get the status type without tying this to workspace?
function StatusTooltip({ status, issuesCount, children }) {
    if (!status)
        return children;
    const { isNew, isStaged, isOutdated, modifyInfo = {} } = status;
    const { hasModifiedDependencies, hasModifiedFiles } = modifyInfo;
    if (!isNew && !isStaged && !hasModifiedDependencies && !hasModifiedFiles && !isOutdated)
        return null;
    const content = (react_1.default.createElement("ul", { className: component_tooltip_module_scss_1.default.list },
        issuesCount > 0 && react_1.default.createElement("li", null, `${issuesCount} issue${issuesCount > 1 ? `s` : ''} found`),
        isNew && !isOutdated && react_1.default.createElement("li", null, "New component"),
        hasModifiedFiles && react_1.default.createElement("li", null, "Modified files"),
        isStaged && react_1.default.createElement("li", null, "Staged component"),
        isOutdated && react_1.default.createElement("li", null, "Updates pending"),
        hasModifiedDependencies && react_1.default.createElement("li", null, "Modified dependencies")));
    return (react_1.default.createElement(ui_tooltip_1.Tooltip, { className: component_tooltip_module_scss_1.default.tooltip, placement: "right", content: content }, children));
}
exports.StatusTooltip = StatusTooltip;
//# sourceMappingURL=component-tooltip.js.map