"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = __importDefault(require("react"));
const react_2 = require("@testing-library/react");
const chai_1 = require("chai");
const component_tooltip_composition_1 = require("./component-tooltip.composition");
it('should render a tooltip with new component', () => {
    const { getByText } = react_2.render(react_1.default.createElement(component_tooltip_composition_1.ComponentTooltipWithNewStatus, null));
    const textStatus = getByText('N');
    react_2.fireEvent.mouseEnter(textStatus);
    const textTooltip = getByText(/^New component$/);
    chai_1.expect(textTooltip).to.exist;
});
it('should render a tooltip with staged component', () => {
    const { getByText } = react_2.render(react_1.default.createElement(component_tooltip_composition_1.ComponentTooltipWithStagedStatus, null));
    const textStatus = getByText('S');
    react_2.fireEvent.mouseEnter(textStatus);
    const textTooltip = getByText(/^Staged component$/);
    chai_1.expect(textTooltip).to.exist;
});
it('should render a tooltip with multiple status, modified dependencies and files', () => {
    const { getByText } = react_2.render(react_1.default.createElement(component_tooltip_composition_1.ComponentTooltipWithModifiedFilesAndDependenciesStatus, null));
    const textStatus = getByText('M');
    react_2.fireEvent.mouseEnter(textStatus);
    const textModifiedDependencies = getByText(/^Modified dependencies$/);
    const textModifiedFiles = getByText(/^Modified files$/);
    chai_1.expect(textModifiedDependencies).to.exist;
    chai_1.expect(textModifiedFiles).to.exist;
});
it('should render a tooltip with multiple status, modified files and 2 issues found', () => {
    const { getByText } = react_2.render(react_1.default.createElement(component_tooltip_composition_1.ComponentTooltipWithModifiedFilesStatusAndIssues, null));
    const textStatus = getByText('M');
    react_2.fireEvent.mouseEnter(textStatus);
    textStatus.parentElement && react_2.fireEvent.mouseEnter(textStatus.parentElement);
    const textTooltip = getByText(/^Modified files$/);
    const textTooltipIssue = getByText(/^2 issues found$/);
    chai_1.expect(textTooltip).to.exist;
    chai_1.expect(textTooltipIssue).to.exist;
});
//# sourceMappingURL=component-tooltip.spec.js.map